Detailed search by Transaction ID
Introduction
This API is responsible for fetching the EPFO Establishment Details based on Transaction ID and Request ID that was generated during Listing Establishments by Company Name. This provides a detailed picture of the Establishment along with last 6 months PF contribution.
cURL
curl --location 'https://api.signzy.app/api/v3/underwriting/fetch-establishment-details' \
--header 'Content-Type: application/json' \
--header 'Authorization: <Auth Token>' \
--data '{
"transactionId": "<Transaction ID>",
"requestId": "<Request ID>"
}'Request Headers
Key | Value |
|---|---|
Authorization | shared by Signzy |
Content-type | application/json |
Request Body
{
"transactionId": "TS-VYA-612041",
"requestId": "2834803"
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
transactionId | This is an unique 13 character long alphanumeric string created during successful listing of establishments | String | COMPULSORY |
requestId | This is an unique 7 character long numeric string associated with establishmentId during successful listing of establishments | String | COMPULSORY |
Response Data
{
"result": {
"additionalInformation": {
"cinCode": "U74999PN2015PTC157118",
"esicCode": "NA",
"establishmentId": "PUPUN1753022000",
"linCode": "NA",
"msmeOrderDate": "-",
"msmeOrderNo": "NA",
"startupOrderDate": "-",
"startupOrderNo": "NA"
},
"branchesWithoutCode": " 1",
"establishmentDetailsAsPerForm5ASubmittedOnlineByEmployer": {
"address": "18 B, KUBERA BAHAR BUNGLOWS, SOC 131 2 BANER PASHAN LINK ROAD",
"city": "PUNE",
"country": "India",
"dateOfSetupOfEstablishment": "03-NOV-2015",
"district": "PUNE",
"epfoOfficeAddress": "2-3rd Flr,Pune Cant. Board Blding, Near Golibar Maidan, Camp,",
"epfoOfficeName": "PUNE",
"esicCode": "",
"establishmentCode": "PUPUN1753022000",
"nameOfEstablishmentAsPerPan": "SIGNZY TECHNOLOGIES PRIVATE LIMITED",
"ownershipType": "Private Limited Company",
"panStatus": "VERIFIED",
"pinCode": "411021",
"primaryBusinessActivity": "ESTABLISHMENT ENGAGED IN MANUFACTURE, MARKETING SERVICING, USAGE OF COMPUTERS",
"region": "MH - PUNE",
"sectionApplicable": "OTHER ESTABLISHMENTS IN WHICH EMPLOYING 20 OR MORE PERSONS AND NOTIFIED BY THE CENTRAL GOVT.",
"state": "MAHARASHTRA",
"zone": "MAHARASHTRA AND CHHATTISGARH"
},
"establishmentStatusAsPerEpfoMaster": {
"actionStatus": "ACTIONABLE ESTABLISHMENT",
"coverageSection": "0001(3)(b)",
"dateOfCoverage": "01-MAY-2018",
"exemptionStatus": "PF: UNEXEMPTED, PENSION: UNEXEMPTED, EDLI: UNEXEMPTED",
"workingStatus": "LIVE ESTABLISHMENT"
},
"establishmentsWithSamePan": {
"totalRecordsFound": " 1"
},
"lastSixMonthPfContribution": [
{
"amount": "22,38,123",
"dateOfCredit": "15-JUN-2023 13:02:17",
"ecr": "YES",
"noOfEmployees": "199",
"trrn": "3152306024016",
"wageMonth": "MAY-23"
},
{
"amount": "24,07,506",
"dateOfCredit": "14-JUL-2023 17:44:42",
"ecr": "YES",
"noOfEmployees": "225",
"trrn": "3152307023430",
"wageMonth": "JUN-23"
},
{
"amount": "27,14,457",
"dateOfCredit": "14-AUG-2023 14:34:37",
"ecr": "YES",
"noOfEmployees": "237",
"trrn": "3152308028208",
"wageMonth": "JUL-23"
},
{
"amount": "152",
"dateOfCredit": "14-AUG-2023 18:02:49",
"ecr": "YES",
"noOfEmployees": "1",
"trrn": "3152308029754",
"wageMonth": "JUL-23"
},
{
"amount": "29,94,764",
"dateOfCredit": "15-SEP-2023 03:52:12",
"ecr": "YES",
"noOfEmployees": "257",
"trrn": "3152309029448",
"wageMonth": "AUG-23"
},
{
"amount": "3,750",
"dateOfCredit": "15-OCT-2023 15:45:43",
"ecr": "YES",
"noOfEmployees": "1",
"trrn": "3152310031910",
"wageMonth": "SEP-23"
},
{
"amount": "31,27,441",
"dateOfCredit": "14-OCT-2023 21:33:37",
"ecr": "YES",
"noOfEmployees": "282",
"trrn": "3152310031431",
"wageMonth": "SEP-23"
},
{
"amount": "32,80,458",
"dateOfCredit": "14-NOV-2023 12:47:38",
"ecr": "YES",
"noOfEmployees": "303",
"trrn": "3152311025714",
"wageMonth": "OCT-23"
}
],
"otherCodeNumbersWithSameEstablishment": "No details found for this selection.",
"unitsOrSubcodeUnderSameJurisdiction": "No details found for this selection.",
"validityStatusAsPerOnlineCoverageViewPaymentDetails": {
"establishmentCode": "PUPUN1753022000",
"establishmentName": "Signzy Technologies Private Limited",
"establishmentStatus": "CODE NO ALLOTTED WAS AFTER ONLINE REGISTRATION STARTED.",
"postCoverageStatus": "--",
"registrationStatusOnEcrPortal": "PERMANENT LOGIN CREATED BY OWNER ON ECR PORTAL"
}
}
}PARAMETERS | DESCRIPTION | TYPE | VALUE (COMPULSORY OR OPTIONAL) |
|---|---|---|---|
result | This parameter contains the actual output i.e. an object objects consisting of sub-fields such as 'additionalInformation', 'lastSixMonthPfContribution', 'establishmentStatusAsPerEpfoMaster' | Object | COMPULSORY |
result.additionalInformation | This denotes additional info regarding the Establishment which include sub-fields such as 'cinCode', 'esicCode', 'establishmentId', etc. | Object | COMPULSORY |
result.establishmentDetailsAsPerForm5ASubmittedOnlineByEmployer | This denotes basic information about the establishment which include sub-fields such as 'address', 'city', 'country', 'dateOfSetupOfEstablishment', 'panStatus', 'primaryBusinessActivity'. All the sub-fields have the value as string. | Object | COMPULSORY |
result.lastSixMonthPfContribution | This consits of list of objects denoting info about PF contribution | List[Object] | COMPULSORY |
NOTE: Above fields are Compulsory during 200 OK Response.
Sample Status Codes And Messages
{
"error": {
"reason": "ERROR",
"status": 500,
"message": "Internal Server Error",
"type": "Internal Server Error",
"statusCode": 500,
"name": "error"
}
}